# dhl-quote-selector

> DHL Quote Selector

[![NPM](https://img.shields.io/npm/v/@dhl-parcel/dhl-quote-selector.svg)](https://www.npmjs.com/package/@dhl-parcel/dhl-quote-selector) [![JavaScript Style Guide](https://img.shields.io/badge/code_style-standard-brightgreen.svg)](https://standardjs.com)

## Impression
![](https://tinyurl.com/ybpodhva)


## Install

```bash
npm install --save dhl-quote-selector
```

## Development environment

- `npm start` Starts demo environment for local development
- `npm build` Creates a distribution. We use rollup. 
- `npm watch` Continuously creates a distribution. Awesome in combination with npm link
- `npm publish --access public` Publishes to npmjs

## Usage

```jsx
import React, { Component } from 'react'
import ParcelQuoteSelector from 'dhl-quote-selector';

class App extends React.Component {
  state = {
    selected: '',
  }

  render() {
    return (
      <div>
        <ParcelQuoteSelector 
          fromCountry="NL" 
          toCountry="NL" 
          tr={i => translations[i.toLowerCase()]} />
      </div>);
  }
}
```

## License

UNLICENSED © [DHL](https://github.com/DHL)
